> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/mts-features-examples/alternative-stake-accepted-by-client.md).

# Alternative Stake Accepted by Client

This example is similar to the Bet Re-offer one, bet here MTS rejects the ticket with the suggestion of a smaller alternative stake (due to a breach of the liability limits set at customer level). The client accepts the alternative stake and sends another Ticket placement request with the suggested stake and a reference to the original ticket. MTS finally accepts the bet. The new stake amount can be the same or lower as the suggested stake amount.

<details>

<summary><strong>Ticket Placement Request</strong></summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_3668",
    "bets": [
      {
        "selections": [
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:season:54837",
            "marketId": "534",
            "outcomeId": "pre:outcometext:9826",
            "specifiers": "variant=pre:markettext:62723",
            "odds": {
              "type": "decimal",
              "value": "1.36"
            }
          },
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:match:14950205",
            "marketId": "14",
            "outcomeId": "1712",
            "specifiers": "hcp=1:0",
            "odds": {
              "type": "decimal",
              "value": "1.59"
            }
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "100"
          }
        ]
      }
    ],
    "context": {
      "channel": {
        "type": "internet",
        "ip": "212.9.11.2",
        "lang": "EN"
      },
      "endCustomer": {
        "id": "endCustomer_384d54"
      },
      "limitId": 1409
    }
  },
  "correlationId": "89Wekr38267",
  "timestampUtc": 1678883012000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Ticket Placement Response  -  Rejection with Alternative Stake from MTS</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "signature": "X9sRwc4PoLw79Dv0nUcozYawhVwdmdtSUI3oJLzXm/g=",
    "status": "rejected",
    "ticketId": "Ticket_3668",
    "code": -713,
    "message": "Liability EUR 1080.0 is over Customer Bet liability limit EUR 299.7 on Customer level, Selection: productId:3, marketId:14, outcomeId:1712, specifiers:hcp=1:0, Match: 14950205 ",
    "betDetails": [
      {
        "selectionDetails": [
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:season:54837",
              "marketId": "534",
              "outcomeId": "pre:outcometext:9826",
              "specifiers": "variant=pre:markettext:62723",
              "odds": {
                "type": "decimal",
                "value": "1.36"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:14950205",
              "marketId": "14",
              "outcomeId": "1712",
              "specifiers": "hcp=1:0",
              "odds": {
                "type": "decimal",
                "value": "1.59"
              }
            },
            "code": -713,
            "message": "Liability EUR 1080.0 is over Customer Bet liability limit EUR 299.7 on Customer level, Selection: productId:3, marketId:14, outcomeId:1712, specifiers:hcp=1:0, Match: 14950205 "
          }
        ],
        "code": -713,
        "message": "Liability EUR 1080.0 is over Customer Bet liability limit EUR 299.7 on Customer level, Selection: productId:3, marketId:14, outcomeId:1712, specifiers:hcp=1:0, Match: 14950205 ",
        "suggestion": {
          "type": "alt-stake",
          "mode": "automatic",
          "stake": [
            {
              "type": "cash",
              "currency": "EUR",
              "amount": "9.5"
            }
          ]
        }
      }
    ],
    "exchangeRate": [
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000"
      }
    ]
  },
  "correlationId": "89Wekr38267",
  "timestampUtc": 1678883013000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<br>

Below is the second Ticket placement request (including the suggested stake (EUR 9.50) and a reference to the original ticket ID - "Ticket\_3668") which finally receives acceptance from MTS.

<details>

<summary><strong>Ticket Placement Request  - Positive Response to Alternative Stake</strong></summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_3668-altstake",
    "bets": [
      {
        "selections": [
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:season:54837",
            "marketId": "534",
            "outcomeId": "pre:outcometext:9826",
            "specifiers": "variant=pre:markettext:62723",
            "odds": {
              "type": "decimal",
              "value": "1.36"
            }
          },
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:match:14950205",
            "marketId": "14",
            "outcomeId": "1712",
            "specifiers": "hcp=1:0",
            "odds": {
              "type": "decimal",
              "value": "1.59"
            }
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "9.5"
          }
        ]
      }
    ],
    "context": {
      "channel": {
        "type": "internet",
        "ip": "212.9.11.2",
        "lang": "EN"
      },
      "endCustomer": {
        "id": "endCustomer_384d54"
      },
      "limitId": 1409,
      "ref": {
        "ticketId": "Ticket_3668",
        "ticketSignature": "X9sRwc4PoLw79Dv0nUcozYawhVwdmdtSUI3oJLzXm/g=",
        "type": "alt-stake"
      }
    }
  },
  "correlationId": "Ghw81bCr8",
  "timestampUtc": 1678883225000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Ticket Placement Response  - Final Acceptance from MTS</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "signature": "R1L+upt2gOLsbIhknw+kXfOQjmPVt+SpHzlIhbnK4P8=",
    "status": "accepted",
    "ticketId": "Ticket_3668-altstake",
    "code": 0,
    "message": "Transaction processed",
    "betDetails": [
      {
        "selectionDetails": [
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:season:54837",
              "marketId": "534",
              "outcomeId": "pre:outcometext:9826",
              "specifiers": "variant=pre:markettext:62723",
              "odds": {
                "type": "decimal",
                "value": "1.36"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:14950205",
              "marketId": "14",
              "outcomeId": "1712",
              "specifiers": "hcp=1:0",
              "odds": {
                "type": "decimal",
                "value": "1.59"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          }
        ],
        "code": 0,
        "message": "Transaction processed"
      }
    ],
    "exchangeRate":   [
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000"
      }
    ]
  },
  "correlationId": "Ghw81bCr8",
  "timestampUtc": 1678883226000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/mts-features-examples/alternative-stake-accepted-by-client.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
